#include "colors.inc"
#include "metals.inc"
#include "finish.inc"

camera {
	location <0.0, 0.2, -2>
	look_at <0,0.3,0>
}

light_source { <0,2,-3> White }



plane { z, 20
	pigment { color Blue  }
}

/*
box {

    <-12, -1, 24>,  // Near lower left corner

    < 12,  1, 25> // Far upper right corner

    pigment { color Blue  }

}
*/

plane { y, 4
	
	 pigment {
      		bozo
      		turbulence 0.85
      		octaves 6
      		omega 0.7
      		lambda 2

      		color_map {
          		[0.0 0.1 color rgb <0.00, 0.00, 0.85>  color rgb <0.00, 0.00, 0.75>]
          		[0.1 0.5 color rgb <0.00, 0.00, 0.75>  color rgb <0.75, 0.75, 0.75>]
          		[0.5 1.0 color rgb <0.75, 0.75, 0.75>  color rgb <1, 1, 1>]
      		}

      		scale 17
	}

	finish {ambient 0.8  diffuse 0.0 }
}

/*
plane { y, -4
	
	 pigment {
      		bozo
      		turbulence 0.85
      		octaves 6
      		omega 0.7
      		lambda 2

      		color_map {
          		[0.0 0.1 color rgb <0.00, 0.35, 0.45>  color rgb <0.85, 0.65, 0.45>]
          		[0.1 0.5 color rgb <0.85, 0.65, 0.45>  color rgb <0.15, 0.95, 0.25>]
          		[0.5 1.0 color rgb <0.75, 0.75, 0.75>  color rgb <0, 0, 1>]
      		}

      		scale 17
	}

	finish {ambient 0.4  diffuse 0.0 }
}
*/
plane { y, -4
	
	 pigment { color Blue }

	finish {ambient 0.4  diffuse 0.0 }
}

text { ttf "GUNSHIP2.TTF" "xine" 0.3, 0
	pigment { P_Silver2 }
	finish {ambient 0.2  diffuse 0.025  
                specular 1 roughness 0.04 
                reflection 0.70 metallic }
	translate <-1.7,0,1>
}
