#include "colors.inc"
#include "metals.inc"
#include "finish.inc"
#include "textures.inc"

camera {
	right 3*x
	location <0.0, 0.0, -0.5>
	look_at <0,0.0,0>
}
 
light_source { <-2,1.5,-3> White }
light_source { <1.5,1.5,-3> White }

fog {
   distance 12
   color rgbf <0.0, 0.0, 0.5, 0.2>

   fog_type 2
   fog_offset 0.0
   fog_alt 0.5
	
} 

/*
plane { y, 10
	texture { Starfield scale 150 }
}
*/

plane { y, -0.25
	
	texture { Water }
}


text { ttf "GUNSHIP2.TTF" "xine" 0.3, 0
	pigment { P_Silver2 }
	finish {ambient 0.2  diffuse 0.025  
                specular 1 roughness 0.04 
                reflection 0.70 metallic }
	translate <-1.7,-0.2,1>
}
